---
title: "Gets a paginated list of access data for current user"
slug: "gets-a-paginated-list-of-access-data-for-current-user"
updated: 2025-07-21T18:55:46Z
published: 2025-07-21T18:55:54Z
canonical: "docs.neeve.ai/gets-a-paginated-list-of-access-data-for-current-user"
---
> ## Documentation Index
> Fetch the complete documentation index at: https://docs.neeve.ai/llms.txt
> Use this file to discover all available pages before exploring further.
# Gets a paginated list of access data for current user
Get/api/v2/myaccess
SecurityHTTPType bearer
Query parameterstimezonestringExampleAsia/Kolkata
countrystring
The country name filter by
destinationstring
The target access host filter by
connectionNamestring
The target connection access filter by
connectionTypearray of string
Filter by the target connection type access. Availabe values are SSH/RDP/HTTP/HTTPS/VNC/TELNET
sizeinteger
The number of records to return per page
Default25
pageinteger
The page number. The page number start from 1
Default1
sortarray of string
Sorting criteria in the format: field:asc|desc. Example fields are: ['username', timestamp', 'country', 'session', 'origin', 'destination']
Example[
"timestamp:asc"
]
fromstring
The earliest date to search in access data. The value should be ISO String (YYYY-MM-DDThh:mm:ssz)
Example2021-05-06T10:50:35+0000
tostring
The latest date to search in access data. The value should be ISO String (YYYY-MM-DDThh:mm:ssz)
Example2021-05-06T10:50:35+0000
Responses200
OK
Expand Allobject authorizationboolean
dataobject pageinteger
results Array of object (AccessSummary) object EventIDinteger
EventTypestring
RDG_FromHoststring
RDG_FromHost_country_codestring
RDG_FromHost_country_namestring
RDG_SessionTimestring
RDG_TargetUsernamestring
RDG_ToHoststring
Timestampstring
_idstring
connectionNamestring
connectionTypestring
organizationobject idstring
namestring
timezonestring
sizeinteger
totalCountinteger
totalPageinteger
error_codeinteger
error_messagestring
error_statusboolean Examplefalse
500
Internal Server Error
object authorizationboolean
data Array of string Example[]string
error_codeinteger | null
error_messagestring | null
error_statusboolean